Subject: [css-d] CSS-only line break (a tip)

From: outlaw at joseywales.com (Seb)
Date: Thu, 24 Apr 2003 23:54:53 +0100

> From: "Michael Sauers" <[email-masked]>
> 
> You've just lost me completely. You're suggesting that <br /> doesn't make
> sense to break a line into two but that we should span a space and classify
> it as "br" (which you didn't say what that class is defined as) instead.
> 
> Why oh why would I do that? Why doesn't <br /> make sense structurally? Why
> do you suggest almost 15x the amount of code instead. This just doesn't make
> sense to me. Did I miss something in your explanation?

If you put a <br /> in the middle of a sentence, it puts a hard structural
break in - where what you really want is a purely layout break which doesn't
affect the flow of the words.

It basically goes to the core of separating layout from content - in Steve's
example, the <br /> is being used just for layout, and should therefore be
frowned on.